Package org.kapott.hbci.security

# Class Crypt

java.lang.Object
org.kapott.hbci.security.Crypt

public final class Crypt extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ENC_KEYTYPE_DDV`
`static final String`
`ENC_KEYTYPE_RSA`
`static final String`
`ENCALG_2K3DES`
`static final String`
`ENCALG_AES256`
`static final String`
`ENCMODE_CBC`
`static final String`
`ENCMODE_PKCS1`
`static final String`
`SECFUNC_ENC`
`static final String`
`SECFUNC_ENC_PLAIN`

## Constructor Summary

Constructors
Constructor
Description
`Crypt(IHandlerData handlerdata, MSG msg)`

## Method Summary

Modifier and Type
Method
Description
`MSG`
`cryptIt(String newName)`
`String`
`decryptIt()`
`void`
`destroy()`
`void`
`init(IHandlerData handlerdata, MSG msg)`
`void`
`setParam(String name, String value)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SECFUNC_ENC

public static final String SECFUNC_ENC

See Also:
  - Constant Field Values

### SECFUNC_ENC_PLAIN

public static final String SECFUNC_ENC_PLAIN

See Also:
  - Constant Field Values

### ENCALG_2K3DES

public static final String ENCALG_2K3DES

See Also:
  - Constant Field Values

### ENCALG_AES256

public static final String ENCALG_AES256

See Also:
  - Constant Field Values

### ENCMODE_CBC

public static final String ENCMODE_CBC

See Also:
  - Constant Field Values

### ENCMODE_PKCS1

public static final String ENCMODE_PKCS1

See Also:
  - Constant Field Values

### ENC_KEYTYPE_RSA

public static final String ENC_KEYTYPE_RSA

See Also:
  - Constant Field Values

### ENC_KEYTYPE_DDV

public static final String ENC_KEYTYPE_DDV

See Also:
  - Constant Field Values

## Constructor Details

### Crypt

public Crypt(IHandlerData handlerdata, MSG msg)

## Method Details

### setParam

public void setParam(String name, String value)

### init

public void init(IHandlerData handlerdata, MSG msg)

### cryptIt

public MSG cryptIt(String newName)

### decryptIt

public String decryptIt()

### destroy

public void destroy()